package com.example.pantallacompra

import android.content.Intent
import android.os.Bundle
import android.widget.Button
import android.widget.EditText
import android.widget.TextView
import android.widget.Toast
import androidx.appcompat.app.AlertDialog
import androidx.appcompat.app.AppCompatActivity


class compra: AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.pantallacompra)

        val btnComprar: Button = findViewById(R.id.buttonComprar)
        val editTextNombre: EditText = findViewById(R.id.editTextNombre)
        val editTextTelefono: EditText = findViewById(R.id.editTextTelefono)

        val textViewAsientos: TextView = findViewById(R.id.textView5Result) // Este es tu TextView

        // Obtener la lista de asientos seleccionados del intent
        val asientosSeleccionados = intent.getStringArrayListExtra("asientosSeleccionados")

        // Mostrar la lista de asientos seleccionados en el TextView
        textViewAsientos.text = asientosSeleccionados?.joinToString(", ")

        btnComprar.setOnClickListener {
            val nombre = editTextNombre.text.toString()
            val telefono = editTextTelefono.text.toString()

            // Verifica si se ingresó un nombre y un teléfono antes de mostrar el mensaje
            if (nombre.isNotEmpty() && telefono.isNotEmpty()) {
                val mensaje = "Nombre: $nombre\nTeléfono: $telefono"
                mostrarMensaje(mensaje)
            } else {
                mostrarAlerta("Error", "Por favor, ingrese su nombre y número de teléfono")
            }
        }

        val btnCancelar: Button = findViewById(R.id.buttonCancelar)

        btnCancelar.setOnClickListener {
            val intent = Intent(this, EventList::class.java)
            startActivity(intent)
        }
    }

    private fun mostrarMensaje(mensaje: String) {
        val asientosSeleccionados = intent.getStringArrayListExtra("asientosSeleccionados")

        val mensajeAsientos = asientosSeleccionados?.joinToString(", ") ?: "Ningún asiento seleccionado"

        val mensajeCompleto = "$mensaje\n\nAsientos seleccionados:\n$mensajeAsientos"

        val builder = AlertDialog.Builder(this)
        builder.setTitle("Datos de la compra")
        builder.setMessage(mensajeCompleto)
        builder.setPositiveButton("Aceptar", null)
        val dialog = builder.create()
        dialog.show()
    }

    private fun mostrarAlerta(titulo: String, mensaje: String) {
        val builder = AlertDialog.Builder(this)
        builder.setTitle(titulo)
        builder.setMessage(mensaje)
        builder.setPositiveButton("Aceptar", null)
        val dialog = builder.create()
        dialog.show()
    }
}